Skip to main content
PUT
Update Location

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the referenced Warehouse.

location_id
integer<int32>
required

The id of the referenced Location.

Body

application/json

A Location object specifying the fields to be updated.

A Location describes a user-specified inventory address within a warehouse.

label
string | null

The human-readable name of a location and also the value encoded in location's barcode label. This value must be unique within each warehouse.

Example:

"A4-55-C3"

priority
integer

The inventory reservation order relative to other locations containing the same product.

Example:

10

is_type_auto
boolean | null

If Location Type is "Automatic" then it will cause the type to be maintained automatically according to the Auto-Assign Patterns of the location types.
Optional Field

Example:

true

lot
LotRef · object | null

A reference to the Lot object assigned to this location.

product
StockableProductRef · object | null

A reference to the stockable product assigned to this location.

rack
RackRef · object | null

A reference to the Rack to which this location is assigned. This may be managed automatically or assigned manually.

location_type
LocationTypeRef · object | null

A reference to the LocationType object assigned to this location. This may be managed automatically or assigned manually.

Response

OK - The operation completed successfully and there is no response body.